### A free/open-source library for quantitative finance

Classes
ql/pricingengines/swaption/g2swaptionengine.hpp File Reference

Swaption pricing engine for two-factor additive Gaussian Model G2++. More...

`#include <ql/pricingengines/genericmodelengine.hpp>`
`#include <ql/models/shortrate/twofactormodels/g2.hpp>`
`#include <ql/pricingengines/swap/discountingswapengine.hpp>`
Include dependency graph for g2swaptionengine.hpp:

## Classes

class | G2SwaptionEngine
| Swaption priced by means of the Black formula More...

## Detailed Description

Swaption pricing engine for two-factor additive Gaussian Model G2++.